phpunit (13.0.0-2ubuntu6) resolute; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:19:13 +0100

phpunit (13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2026 07:57:34 +0100

phpunit (13.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 06 Feb 2026 13:54:48 +0100

phpunit (12.5.9-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Kuba Werłos ]
  * Refactor fix for infinite recursion in `Count::getCountOf()` to use
    `sebastian/recursion-context`

  [ Nicolas PHILIPPE ]
  * Fix count in summary when tests skipped in BeforeClass hook

  [ David Prévot ]
  * Restore autoload template building
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Thu, 05 Feb 2026 18:25:50 +0100

phpunit (12.5.8-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Do not run PHPT test when its temporary file for code coverage
    information exists
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 27 Jan 2026 09:24:04 +0100

phpunit (12.5.7-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ Kuba Werłos ]
  * Add tests showing the problem
  * Prevent `PHPUnit\Framework\Constraint\Count::getCountOf` from falling
    into infinite recursion

  [ Gabriel Ostrolucký ]
  * Make generated stubs manually instantiable

 -- David Prévot <taffit@debian.org>  Sun, 25 Jan 2026 07:22:18 +0100

phpunit (12.5.6-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Assert we have a current value"
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 10:22:24 +0100

phpunit (12.5.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Basilius Sauter ]
  * Fixes #6470: Mocking a class with a covariant property hook setter
    leads to an unexpected fatal error

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Fri, 16 Jan 2026 06:02:47 +0100

phpunit (12.5.4-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Make AllowMockObjectsWithoutExpectations usable on test methods
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 16 Dec 2025 08:09:55 +0100

phpunit (12.5.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Improve message
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2025 10:27:52 +0100

phpunit (12.5.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Implement AllowMockObjectsWithoutExpectations attribute
  * Update dependencies
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Thu, 11 Dec 2025 06:25:40 +0100

phpunit (12.5.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Only ignore test selection configured in XML configuration file
  * Emit a PHPUnit notice for test methods that create a mock object but
    do not configure an expectation for it
  * Remove option that is no longer needed now that PHP 8.5 is supported
  * Introduce TestCase::getStubBuilder() as a migration target for
    TestCase::getMockBuilder() when no expectations are configured
  * Prepare release

  [ Vincent Langlet ]
  * Allow Throwable in expectExceptionObject

 -- David Prévot <taffit@debian.org>  Sun, 07 Dec 2025 05:23:17 +0100

phpunit (12.4.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Takuya Aramaki ]
  * Fix configuration migration without schema location

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 10:24:58 +0100

phpunit (12.4.4-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Report invalid data provider on exceptions

  [ matt ]
  * ShutdownHandler does not output in child processes

 -- David Prévot <taffit@debian.org>  Mon, 24 Nov 2025 13:19:02 +0100

phpunit (12.4.3-1) unstable; urgency=medium

  [ Rafael Dantas ]
  * Avoiding reading from STDOUT when rewind fails

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 16 Nov 2025 08:52:09 +0100

phpunit (12.4.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Skipped tests alone no longer lead to a yellow background for the test
    result summary
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:26:17 +0100

phpunit (12.4.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Nicolas PHILIPPE ]
  * fix: ClassMethod for DataProvider events should be passed the real
    test class

  [ schlndh ]
  * fix --filter format used by PHPStorm

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2025 12:47:17 +0200

phpunit (12.4.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Deprecate #[RunClassInSeparateProcess] attribute
  * Prepare release

  [ Nicolas PHILIPPE ]
  * Add regex pattern to #[IgnoreDeprecations]

 -- David Prévot <taffit@debian.org>  Sat, 04 Oct 2025 09:23:06 +0200

phpunit (12.3.15-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Tue, 30 Sep 2025 08:34:59 +0200

phpunit (12.3.15-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Upload to unstable in sync with PHPunit

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2025 08:16:44 +0200

phpunit (12.3.14-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 26 Sep 2025 06:40:44 +0200

phpunit (12.3.12-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 22 Sep 2025 08:48:44 +0200

phpunit (12.3.11-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement __serialize() in addition to __sleep() (which will be deprecated
    in PHP 8.5)
  * Exclude __sleep() and __wakeup() from test double code generation on
    PHP >= 8.5
  * Prepare release

  [ Nicolas Grekas ]
  * Collect also engine-level deprecations when building the test suite

  [ Markus Staab ]
  * Disable Xdebug perf optimization when test requires xdebug

 -- David Prévot <taffit@debian.org>  Sun, 14 Sep 2025 11:02:57 +0200

phpunit (12.3.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Comment away unused patch to make lintian happier
  * Shorten d/copyright

 -- David Prévot <taffit@debian.org>  Sat, 06 Sep 2025 09:47:30 +0200

phpunit (12.3.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Take #[IgnorePhpunitDeprecations] attribute into account for test runner
    deprecations

 -- David Prévot <taffit@debian.org>  Fri, 29 Aug 2025 08:24:28 +0200

phpunit (12.3.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not set "report_memleaks" which will be deprecated in PHP 8.5
  * Prepare release

  [ David Prévot ]
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Thu, 21 Aug 2025 08:15:43 +0200

phpunit (12.3.5-1) experimental; urgency=medium

  [ Markus Staab ]
  * Print previous exception in Testdox
  * Detect premature end of phpunit main process

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2025 10:09:32 +0200

phpunit (12.3.4-1) experimental; urgency=medium

  [ Markus Staab ]
  * Relate deprecations from DataProvider with corresponding tests

  [ Sebastian Bergmann ]
  * Mark a test as errored (instead of skipped) when the file for error_log()
    capturing cannot be created
  * Prepare release

  [ Luke Towers ]
  * Fix: preserve tearDown() exceptions when test is skipped

  [ Dawid Nowak ]
  * Improve output of `--check-php-configuration`

 -- David Prévot <taffit@debian.org>  Fri, 15 Aug 2025 11:18:58 +0200

phpunit (12.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Emit DataProviderMethodFinished event also in case provided set has an
    invalid key
  * Do not use SplObjectStorage methods that will be deprecated in PHP 8.5
  * Prepare release

  [ Nicolas PHILIPPE ]
  * fix: generate baseline with relative path

  [ Markus Staab ]
  * Prevent fatal errors not reported

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 11:00:52 +0200

phpunit (12.3.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update required files for test

 -- David Prévot <taffit@debian.org>  Sun, 03 Aug 2025 19:57:55 +0200

phpunit (12.2.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 14 Jul 2025 08:35:37 +0200

phpunit (12.2.6-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Fix test with data provider and dependency which does not return value

  [ Sebastian Bergmann ]
  * Prepare release

  [ Grégoire Paris ]
  * Allow named arguments with InvocationStubber::with()

 -- David Prévot <taffit@debian.org>  Sun, 06 Jul 2025 06:46:00 +0200

phpunit (12.2.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not include information about the Git repository in the Open Test
    Reporting XML format by default
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 27 Jun 2025 08:22:29 +0200

phpunit (12.2.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Implement --do-not-report-useless-tests CLI option to replace
    --dont-report-useless-tests
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 23 Jun 2025 08:09:45 +0200

phpunit (12.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Use Exporter::shortenedRecursiveExport() for event-related value objects
  * Prepare release

  [ Kuba Werłos ]
  * Fix saving information about passed tests

 -- David Prévot <taffit@debian.org>  Tue, 17 Jun 2025 08:29:00 +0200

phpunit (12.2.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Mon, 09 Jun 2025 07:19:18 +0200

phpunit (12.1.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ leon.schaub ]
  * Set default Clover coverage project name

  [ Kuba Werłos ]
  * Improve the error message when `createStubForIntersectionOfInterfaces`
    is called with a class

 -- David Prévot <taffit@debian.org>  Thu, 22 May 2025 18:41:58 +0200

phpunit (12.1.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Sebastian Feldmann ]
  * Revert placeholder diff improvement

 -- David Prévot <taffit@debian.org>  Sun, 11 May 2025 08:59:05 +0200

phpunit (12.1.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement configuration options for displaying details on all issues and
    failing on all issues

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 07:33:56 +0200

phpunit (12.1.3-1) experimental; urgency=medium

  [ Markus Staab ]
  * Fix error_log output not displayed in failed test cases

  [ Sebastian Bergmann ]
  * Do not use the real size of memory allocated from the operating system as
    this is grown by PHP's memory manager in chunks that are so large that
    small(er) increases in peak memory usage cannot be seen
  * Reset the peak memory usage returned by memory_get_peak_usage() before the
    Test\Prepared event is emitted so that (memory usage at Test\Finished -
    memory usage at Test\Prepared) is the memory usage of the test
  * Use peak memory usage when representing Telemetry\Info as string
  * Do not emit "Before Test Method Errored" event when a test is skipped in a
    "before test" method
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 25 Apr 2025 07:59:22 +0200

phpunit (12.1.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Make TestCase::runTest() method private
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 09 Apr 2025 07:50:12 +0200

phpunit (12.1.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 12.1
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 06 Apr 2025 11:43:41 +0200

phpunit (12.0.10-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Trigger warning when code coverage analysis is performed
    and no cache directory is configured"
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 25 Mar 2025 07:22:49 +0100

phpunit (12.0.9-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 19:59:12 +0100

phpunit (12.0.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Trigger warning when code coverage analysis is performed and no cache
    directory is configured
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 08:29:43 +0100

phpunit (12.0.7-2) experimental; urgency=medium

  * Revert "Ship php-staabm-side-effects-detector in NEW processing"

 -- David Prévot <taffit@debian.org>  Sun, 16 Mar 2025 12:41:48 +0100

phpunit (12.0.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 07 Mar 2025 09:11:03 +0100

phpunit (12.0.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 13:23:58 +0100

phpunit (12.0.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2025 12:56:52 +0100

phpunit (12.0.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not emit a Test\Passed event in addition to a Test\Failed or
    Test\Errored event when an assertion failure or an unexpected exception
    is triggered in an after-test method
  * Emit a TestSuite\Finished event when a before-first-test method errors
  * Emit Test\PreparationFailed event when an unexpected exception is
    triggered in a before-test method
  * Declare TestCase::__construct() to be final
  * Prepare release

  [ David Prévot ]
  * Use recent php-codecoverage for tests

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 07:32:03 +0100

phpunit (12.0.2-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Rename DEP-8 patch
  * Drop php-soap
  * Drop phpunit-code-unit
  * Update required files for phpab
  * Update debian/clean
  * Exclude a test currently failing

 -- David Prévot <taffit@debian.org>  Sat, 08 Feb 2025 20:26:07 +0100

phpunit (11.5.6-1) unstable; urgency=medium

  [ Daniel Leech ]
  * Improve source map performance for directories with same path

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 03 Feb 2025 13:21:24 +0100

phpunit (11.5.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert deprecation of targeting traits
  * Do not skip execution of test that depends on a test that is larger than
    itself
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 30 Jan 2025 06:59:28 +0100

phpunit (11.5.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Implement missing events for errors in hook methods
  * Emit Test\AfterLastTestMethodCalled, Test\AfterLastTestMethodErrored,
    and Test\AfterLastTestMethodFinished events when an after-last-test
    method errors
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 08:24:19 +0100

phpunit (11.5.2-4) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 12:06:29 +0100

phpunit (11.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 09:18:54 +0100

phpunit (11.5.2-2) experimental; urgency=medium

  * Ship php-staabm-side-effects-detector in NEW processing

 -- David Prévot <taffit@debian.org>  Fri, 27 Dec 2024 19:51:41 +0100

phpunit (11.5.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement TestRunner\ChildProcessStarted and
    TestRunner\ChildProcessFinished events
  * Prepare release

  [ Markus Staab ]
  * Inline SKIPIF evaluation without side-effects
  * Inline CLEAN evaluation without main-process pollution

  [ David Prévot ]
  * Adapt to new php-staabm-side-effects-detector dependency
  * Versioned phpunit-type build-dependency

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2024 15:23:10 +0100

phpunit (11.4.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sun, 01 Dec 2024 08:18:04 +0100

phpunit (11.4.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Sem Koolen ]
  * improved parameter names for asserts

  [ Ilia Smirnov ]
  * Remove empty lines between teamcity events

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2024 11:39:59 +0100

phpunit (11.4.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Christian Flothmann ]
  * fix typo in exception message

  [ Markus Staab ]
  * Disable xdebug in subprocess when inactive

 -- David Prévot <taffit@debian.org>  Wed, 23 Oct 2024 07:06:45 +0200

phpunit (11.4.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Nicolas PHILIPPE ]
  * Bootstrap extensions before building test suite
  * Seal EventFacade before building the test suite
  * Filter deprecationTriggers when displaying deprecation details
  * #[RequiresPhpunitExtension] attribute

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 15:58:38 +0200

phpunit (11.3.6-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Do not trim testdox text when it contains `$` character

  [ Sebastian Bergmann ]
  * Do not try to instantiate attribute classes that do not exist
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 20 Sep 2024 07:57:54 +0200

phpunit (11.3.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update expectation after update of sebastian/comparator
  * Revert "add name property to testsuites element in JunitXmlLogger"
  * Prepare release

  [ Jamie ]
  * convert callback callable to closure for variadic reflection

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2024 09:40:04 +0200

phpunit (11.3.4-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Fix testdox output containing dollar signs in the value from data provider
  * Do not fail with "An error occurred inside PHPUnit" when data provider key
    is not int or string
  * Fix variadic function as callback

  [ Sebastian Bergmann ]
  * Prepare release

  [ Eric Stern ]
  * Fix JSON object order comparison with numeric keys

 -- David Prévot <taffit@debian.org>  Tue, 10 Sep 2024 08:47:15 +0200

phpunit (11.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement options for controlling whether details on PHPUnit deprecations
    should be displayed
  * Prepare release

  [ joseph-sentry ]
  * add name property to testsuites element in JunitXmlLogger

 -- David Prévot <taffit@debian.org>  Fri, 06 Sep 2024 08:03:48 +0200

phpunit (11.3.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Improve description of objects (inspired by #5912)
  * Update dependencies
  * Update tests after sebastian/comparator update (previous version was
    hiding problems with wrong expectations)
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 15 Aug 2024 08:47:03 +0200

phpunit (11.3.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Initial work on optionally repeating TestDox output for non-successful
    tests after the regular TestDox output
  * Prepare release

  [ soyuka ]
  * Ignore suppression when generating baseline

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sat, 03 Aug 2024 14:16:29 +0900

phpunit (11.2.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Allow --coverage-filter CLI option to be used multiple times again
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 22 Jul 2024 20:26:59 +0900

phpunit (11.2.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Bump dependencies (so that users that install using Composer's
    --prefer-lowest CLI option also get recent versions)
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 14 Jul 2024 11:37:52 +0200

phpunit (11.2.6-1) experimental; urgency=medium

  [ Gabriel Birke ]
  * Add hints to CLI parameter deprecation messages

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 10:59:25 +0200

phpunit (11.2.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Don't calculate unnecessary information in `debug_backtrace()`

  [ Maarten Scholder ]
  * Refactor unsetting tests during TestSuite::run, for even faster destruction
    of instances.

  [ Michael Voříšek ]
  * Use array_pop instead of slow array_shift

 -- David Prévot <taffit@debian.org>  Sun, 23 Jun 2024 00:21:46 +0200

phpunit (11.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 11.2
  * Consider #[CoversTrait] attribute for risky test check
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 18 Jun 2024 08:47:30 +0200

phpunit (11.1.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Kuba Werłos ]
  * Do not crash when test run in child process ends unexpectedly
    and `--log-junit` is used

 -- David Prévot <taffit@debian.org>  Sat, 27 Apr 2024 18:46:01 +0200

phpunit (11.1.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Fix "PHP Warning: Uninitialized string offset 0"

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Mon, 15 Apr 2024 07:42:31 +0200

phpunit (11.1.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Adapt phpabtpl calls to updated composer.json
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 16:18:23 +0200

phpunit (11.0.9-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Do not use a shell in proc_open if not really needed
  * Cleanup process handling after dropping temp-file handling

 -- David Prévot <taffit@debian.org>  Fri, 29 Mar 2024 08:32:26 +0000

phpunit (11.0.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 12:25:40 +0100

phpunit (11.0.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Prevent duplicate prettify in TestDoxBuilder
  * Micro optimize NamePrettifier->prettifyTestMethodName()
  * Micro optimize TestRunner->runTestWithTimeout()
  * Save call to Telemetry\System->snapshot().
  * Prevent file IO when not strictly necessary
  * Prevent unnecessary ExecutionOrderDependency->getTarget() call
  * Simplify NamePrettifier->prettifyTestMethodName()

  [ jrfnl ]
  * assertArrayIsIdenticalToArrayOnlyConsideringListOfKeys(): bug fix

 -- David Prévot <taffit@debian.org>  Wed, 13 Mar 2024 08:17:27 +0100

phpunit (11.0.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Fix --exclude-filter CLI option
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 09 Mar 2024 16:31:24 +0100

phpunit (11.0.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ jrfnl ]
  * assertArrayIs*ToArrayOnlyConsideringListOfKeys(): bug fix - better respect
    PHP native array key handling

  [ David Prévot ]
  * Force system dependencies loading
  * Use system path for tests

 -- David Prévot <taffit@debian.org>  Fri, 01 Mar 2024 12:46:38 +0100

phpunit (11.0.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not print resource usage information when --debug is used
  * Also emit 'Test code or tested code did not remove its own error handlers'
    Test\ConsideredRisky event when the 'Test code or tested code did not
    remove its own exception handlers' Test\ConsideredRisky event is triggered
  * Do not consider tests that do not unregister their error handlers or
    exception handlers as risky when they are run in an isolated process
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 13 Feb 2024 21:59:39 +0100

phpunit (11.0.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 05 Feb 2024 00:40:01 +0100

phpunit (11.0.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 11.0
  * Prepare release

  [ David Prévot ]
  * Update required files for tests
  * Drop phpunit-recursion-context build-dependency

 -- David Prévot <taffit@debian.org>  Sun, 04 Feb 2024 15:23:38 +0100

phpunit (10.5.9-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 23 Jan 2024 08:31:37 +0100

phpunit (10.5.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Try to validate configuration file against all known schema definitions
    before attempting migration
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 21 Jan 2024 19:24:22 +0100

phpunit (10.5.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 17 Jan 2024 19:35:24 +0100

phpunit (10.5.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Only consider test outcome (errored, failed, incomplete, skipped, or passed)
    for TestDox format and display details about test issues, when requested,
    using the default result printer.
  * Bump copyright year
  * Bring back --debug CLI option, this time as an alias for
    "--no-output --log-events-text php://stdout"
  * Prepare release

  [ Marko Petrovic ]
  * resolve both relative and absolute paths
  * fix issue for variadic parameters

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sun, 14 Jan 2024 10:48:25 +0100

phpunit (10.5.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Michael Voříšek ]
  * Fix ErrorHandler to not silent error_get_last() results
  * handle E_USER_ERROR but abort further test execution

  [ i582 ]
  * fixed teamcity output for `teamcity[testStarted` meta message

 -- David Prévot <taffit@debian.org>  Fri, 29 Dec 2023 12:21:49 +0100

phpunit (10.5.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update copyright for embedded scripts

 -- David Prévot <taffit@debian.org>  Thu, 14 Dec 2023 09:31:29 +0100

phpunit (10.5.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 09 Dec 2023 11:12:08 +0100

phpunit (10.5.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Revert deprecation of MockBuilder::disableAutoReturnValueGeneration()
    and MockBuilder::enableAutoReturnValueGeneration()
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 05 Dec 2023 07:55:09 +0100

phpunit (10.4.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 30 Oct 2023 08:13:24 +0100

phpunit (10.4.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 10 Oct 2023 13:05:16 +0200

phpunit (10.4.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 10.4
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Fri, 06 Oct 2023 13:41:20 +0200

phpunit (10.3.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * The child processes used for process isolation now use temporary files to
    communicate their result to the parent process
  * Sync with changes in sebastian/exporter
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 20 Sep 2023 08:55:38 +0530

phpunit (10.3.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Filippo Tessarotto ]
  * CodeCoverage: process PHP report as first in list to avoid serializing
    cache data

 -- David Prévot <taffit@debian.org>  Tue, 12 Sep 2023 22:15:16 +0530

phpunit (10.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Add list of deprecated functionality
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 06 Sep 2023 22:06:42 +0530

phpunit (10.3.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Soft-deprecate MockBuilder::setMockClassName() for #5444"
  * Revert "Soft-deprecate willReturnOnConsecutiveCalls() for #5425"
  * Revert soft-deprecation of TestCase::throwException()
  * Add test
  * Document deprecations made in PHPUnit 10.3.0
  * Document that TestCase::throwException(),
    InvocationMocker::willReturnOnConsecutiveCalls(), and
    MockBuilder::setMockClassName() are no longer deprecated
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 20 Aug 2023 10:43:55 +0200

phpunit (10.3.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 10.3
  * Prepare release

  [ David Prévot ]
  * Adapt phpabtpl call to updated composer.json

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 10:53:16 +0200

phpunit (10.2.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 20 Jul 2023 07:50:06 +0200

phpunit (10.2.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 16 Jul 2023 11:30:12 +0200

phpunit (10.2.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Fix --warm-coverage-cache CLI option
  * No longer accept -v (it did not have an effect anymore since PHPUnit 10.0.0)
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 13 Jul 2023 07:47:50 +0200

phpunit (10.2.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Nicolas Grekas ]
  * Fix XSD to allow empty <extensions> tag

 -- David Prévot <taffit@debian.org>  Sat, 01 Jul 2023 16:25:45 +0200

phpunit (10.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 11 Jun 2023 23:25:18 +0200

phpunit (10.2.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not emit events for suppressed errors in PHPUnit's own code
    (or code of its dependencies)
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 05 Jun 2023 08:09:29 +0200

phpunit (10.2.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 10.2
  * Prepare release

  [ David Prévot ]
  * Exclude some test files for phpab

 -- David Prévot <taffit@debian.org>  Fri, 02 Jun 2023 08:06:19 +0200

phpunit (10.1.3-1) experimental; urgency=medium

  [ Luke Kuzmish ]
  * add distinct messages for output buffering level mismatch

  [ Sebastian Bergmann ]
  * Prepare release

  [ Paweł Niedzielski ]
  * Add stack trace for previous exceptions to bootstrap error message

 -- David Prévot <taffit@debian.org>  Fri, 12 May 2023 12:57:58 +0200

phpunit (10.1.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement PHPUnit\Event\Telemetry\Info::garbageCollectorStatus()
  * Implement PHPUnit\Runner\Extension\Facade::replaceOutput() and
    PHPUnit\Runner\Extension\Facade::replacesOutput() to allow
    extensions to disable event more default output
  * Delete PHPUnit 8.5 ChangeLog
  * Delete PHPUnit 9.6 ChangeLog
  * Delete PHPUnit 10.0 ChangeLog
  * phpunit/php-code-coverage 10.1.0 has been released
  * Do not consider a test as risky when it is expected to not perform
    assertions
  * DoesNotPerformAssertions should also be supported on the class-level
  * Prepare release

  [ David Prévot ]
  * Update excluded files for phpab
  * Bump php-codecoverage version
  * Add required file for tests

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 16:59:16 +0200

phpunit (10.0.19-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 29 Mar 2023 08:01:58 +0200

phpunit (10.0.18-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Filippo Tessarotto ]
  * Register Facade Subscribers where state is already global

 -- David Prévot <taffit@debian.org>  Fri, 24 Mar 2023 13:27:58 +0100

phpunit (10.0.16-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ jrfnl ]
  * StringContains: bug fix for ignoring line endings

  [ David Prévot ]
  * Add another exclusion for phpab

 -- David Prévot <taffit@debian.org>  Tue, 14 Mar 2023 00:12:36 +0100

phpunit (10.0.15-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update expectation
  * TestDox HTML improvements
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 09 Mar 2023 19:08:29 +0100

phpunit (10.0.14-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Emit complete Test\AssertionSucceeded event
  * Only emit Test\AssertionSucceeded and Test\AssertionFailed events when they
    have subscribers
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 04 Mar 2023 10:03:19 +0100

phpunit (10.0.13-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 28 Feb 2023 01:09:27 +0100

phpunit (10.0.12-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Allow values of other types than array to be passed to assertIsList()
  * Prepare release

  [ Filippo Tessarotto ]
  * [#5188] Fix JunitXmlLogger handling of errors on unprepared tests

  [ David Prévot ]
  * Display skipped tests

 -- David Prévot <taffit@debian.org>  Sun, 26 Feb 2023 09:24:02 +0100

phpunit (10.0.11-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Skip this test when assert.exception and zend.assertions are not
    configured as required
  * Prepare release

  [ Filippo Tessarotto ]
  * Fix Code Coverage collection in --process-isolation

  [ David Prévot ]
  * Drop patch not needed anymore

 -- David Prévot <taffit@debian.org>  Tue, 21 Feb 2023 07:59:59 +0100

phpunit (10.0.9-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ John Blackbourn ]
  * Detail deprecations for 9.6.1 in the changelog

  [ David Prévot ]
  * Skip test currently failing
  * Drop <!nocheck> helpers: packages are needed for phpabtpl

 -- David Prévot <taffit@debian.org>  Sun, 19 Feb 2023 09:09:29 +0100

phpunit (10.0.7-1) experimental; urgency=medium

  * Upload new major version to experimental

  [ Sebastian Bergmann ]
  * Depend on sebastian/code-unit ^2.0
  * Depend on phpunit/php-code-coverage ^10.0
  * Drop support for PHP 8.0
  * Add note about PHPDBG and Xdebug 2
  * Prepare release

  [ David Prévot ]
  * Revert "Track version 9 for now (Bookworm?)"
  * Refresh patches
  * Update build-dependencies
  * Update excluded files for phpab

 -- David Prévot <taffit@debian.org>  Fri, 10 Feb 2023 13:45:32 +0100

phpunit (9.6.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Track version 9 for now (Bookworm?)

 -- David Prévot <taffit@debian.org>  Fri, 03 Feb 2023 15:32:37 +0100

phpunit (9.5.28-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Prepare release

  [ Alexander M. Turek ]
  * Allow doctrine/instantiator 2

  [ David Prévot ]
  * Set upstream metadata fields: Security-Contact.
  * Update standards version to 4.6.2, no changes needed.
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Mon, 16 Jan 2023 07:48:20 +0100

phpunit (9.5.27-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Michał Jusięga ]
  * Implement logic to blocks readonly classes to be doubled.

 -- David Prévot <taffit@debian.org>  Sun, 11 Dec 2022 19:09:43 +0100

phpunit (9.5.26-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 01 Nov 2022 08:04:22 +0100

phpunit (9.5.25-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Drop patches not needed anymore
  * Update license

 -- David Prévot <taffit@debian.org>  Fri, 30 Sep 2022 16:51:12 +0200

phpunit (9.5.24-3) unstable; urgency=medium

  * Fix lowest deps for phpunit-{exporter,comparator}

 -- David Prévot <taffit@debian.org>  Tue, 20 Sep 2022 01:46:44 +0200

phpunit (9.5.24-2) unstable; urgency=medium

  * Adapt precision for recent phpunit-comparator (Closes: #1020119)

 -- David Prévot <taffit@debian.org>  Sun, 18 Sep 2022 23:32:44 +0200

phpunit (9.5.24-1) unstable; urgency=medium

  [ Michael Voříšek ]
  * Fix memory leak in ExceptionWrapper

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 30 Aug 2022 13:32:13 +0200

phpunit (9.5.23-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Drop now useless debian/pkg-php-tools-* entries
  * Drop php-phpspec-prophecy* (build-)dependencies
  * Build-depend on phpunit-comparator
  * Workaround test issue during build
  * Trim trailing whitespace

 -- David Prévot <taffit@debian.org>  Wed, 24 Aug 2022 08:02:09 +0200

phpunit (9.5.21-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Let's see whether we really/still need PDO

  [ David Prévot ]
  * Drop php-sqlite3, unused in tests
  * Don’t use php-xdebug

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 16:56:22 +0200

phpunit (9.5.20-3) unstable; urgency=medium

  * Source only upload

 -- David Prévot <taffit@debian.org>  Thu, 26 May 2022 18:48:20 +0200

phpunit (9.5.20-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Thu, 26 May 2022 18:40:24 +0200

phpunit (9.5.20-1) experimental; urgency=medium

  * Upload version depending on new phpunit-type to experimental

  [ Sebastian Bergmann ]
  * Depend on sebastian/type ^3.0
  * Prepare release

  [ David Prévot ]
  * Update tests files paths
  * Build-depend on recent phpunit-type
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 23 May 2022 22:55:02 +0200

phpunit (9.5.16-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert sync with API change in (now yanked) phpunit/php-code-coverage 9.2.12
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 05 Mar 2022 15:43:37 +0100

phpunit (9.5.14-1) unstable; urgency=medium

  [ Marijn van Wezel ]
  * Use predefined PHP float epsilon

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 19 Feb 2022 15:08:53 -0400

phpunit (9.5.13-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 24 Jan 2022 09:30:00 -0400

phpunit (9.5.12-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Update documentation for TestListener deprecation
  * Document that the Hook interfaces will be removed in PHPUnit 10
  * Prepare release

  [ Stefano Arlandini ]
  * Fix access to optional array key when using `debug_backtrace()` function

  [ Andrii Kasian ]
  * ISSUE-4798: Memory leaks in TestSuite class

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Fri, 21 Jan 2022 08:35:03 -0400

phpunit (9.5.11-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * d/control: Drop versioned dependencies satisfied in stable
  * Drop unnecessary debian/pkg-php-tools-* entries

 -- David Prévot <taffit@debian.org>  Sat, 25 Dec 2021 07:58:39 -0400

phpunit (9.5.10-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye is released

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Drop patch part not needed anymore
  * Drop reference to removed file
  * Update standards version to 4.6.0, no changes needed
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 14:35:57 -0400

phpunit (9.5.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Tue, 20 Jul 2021 08:08:01 +0200

phpunit (9.5.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 28 Jun 2021 05:32:45 +0200

phpunit (9.5.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Refactor test result cache persistence to not rely on
    serialize() and unserialize()
  * Prepare release

  [ David Prévot ]
  * Force tests/bootstrap.php to use vendor/autoload.php

 -- David Prévot <taffit@debian.org>  Fri, 18 Jun 2021 09:15:01 -0400

phpunit (9.5.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 24 Mar 2021 07:25:00 -0400

phpunit (9.5.3-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Install /u/s/p/{autoloaders,overrides} files

 -- David Prévot <taffit@debian.org>  Thu, 18 Mar 2021 21:13:32 -0400

phpunit (9.5.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Simplify gbp import-orig workflow
  * Verify upstream signed tag on import

 -- David Prévot <taffit@debian.org>  Wed, 03 Feb 2021 14:03:03 -0400

phpunit (9.5.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Mon, 18 Jan 2021 13:38:59 -0400

phpunit (9.5.0-5) unstable; urgency=medium

  * Add anthor break, against composer

 -- David Prévot <taffit@debian.org>  Fri, 01 Jan 2021 09:22:41 -0400

phpunit (9.5.0-4) unstable; urgency=medium

  * Explicit breaks to avoid failing autopkgtest.
    Declare explicit breaks against older version of packages that are fixed
    in unstable and should migrate in sync with PHPUnit 9. This should allow
    the whole PHPUnit 9 stack to migrate.

 -- David Prévot <taffit@debian.org>  Mon, 28 Dec 2020 10:12:59 -0400

phpunit (9.5.0-3) unstable; urgency=medium

  * Source upload now that everything is in place, for real this time

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 22:40:02 -0400

phpunit (9.5.0-2) unstable; urgency=medium

  * Source upload now that everything is in place

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 17:25:57 -0400

phpunit (9.5.0-2~stage1) unstable; urgency=medium

  * Upload to unstable in sync with PHPUnit 9 stack

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 15:40:57 -0400

phpunit (9.5.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Thu, 10 Dec 2020 10:46:18 -0400

phpunit (9.4.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2020 13:27:56 -0400

phpunit (9.4.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 14 Oct 2020 15:26:21 -0400

phpunit (9.4.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 04 Oct 2020 11:24:04 -0400

phpunit (9.3.11-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 26 Sep 2020 21:54:04 -0400

phpunit (9.3.10-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Fix help2man call to match new output
  * Fix debian/clean to match cacheResultFile
  * Rename main branch to debian/latest (DEP-14)
  * Extend clean up (.phpunit.result.cache)

 -- David Prévot <taffit@debian.org>  Mon, 14 Sep 2020 16:38:43 -0400

phpunit (9.3.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Move help for --no-logging option to logging section
  * Depend on sebastian/cli-parser
  * Prepare release

  [ David Prévot ]
  * Still install phpunit.xsd
  * Adapt packaging to new phpunit-cli-parser dependency

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2020 10:32:06 -0400

phpunit (9.3.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Exclude more class for homemade test autoload.php

 -- David Prévot <taffit@debian.org>  Mon, 17 Aug 2020 13:42:59 -0400

phpunit (9.3.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Install schema instead of phpunit.xsd
  * Build-Depend on recent php-codecoverage

 -- David Prévot <taffit@debian.org>  Fri, 07 Aug 2020 11:32:49 +0200

phpunit (9.2.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Exclude more class for homemade test autoload.php

 -- David Prévot <taffit@debian.org>  Tue, 14 Jul 2020 09:14:27 -0400

phpunit (9.2.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 28 Jun 2020 11:44:34 -1000

phpunit (9.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 10 Jun 2020 15:22:39 -1000

phpunit (9.2.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Exclude more class for homemade test autoload.php
  * Build-Depend on recent php-timer

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2020 17:44:41 -1000

phpunit (9.1.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Ignore tests etc. from archive exports
  * Prepare release

  [ David Prévot ]
  * Document gbp import-ref usage
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Set Rules-Requires-Root to no
  * Build-Depend on php-phpspec-prophecy-phpunit
  * Factorise test handling
  * Add phpunit-code-unit to pkg-php-tools-overrides
  * Remove flaky/useless tests

 -- David Prévot <taffit@debian.org>  Sun, 31 May 2020 07:42:22 -1000

phpunit (9.1.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Add phpunit-code-unit (build-)dependency

 -- David Prévot <taffit@debian.org>  Sun, 26 Apr 2020 08:40:27 -1000

phpunit (9.0.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Andrius Merkys ]
  * Default cache location to current directory (Closes: #951258)

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 11:39:37 -1000

phpunit (9.0.0-1) experimental; urgency=medium

  * Upload new version 9 to experimental

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Prepare release

  [ David Prévot ]
  * Update Autoload.php to new dependency and Functions.php
  * Update build-dependencies
  * Update Standards-Version to 4.5.0
  * Update copyright (years)
  * Wrap long lines in changelog entries: 7.1.5-1.

 -- David Prévot <taffit@debian.org>  Fri, 07 Feb 2020 23:28:24 -1000

phpunit (8.5.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Delete eval-stdin.php
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2020 01:09:16 +1300

phpunit (8.5.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Repository, Bug-Submit

 -- David Prévot <taffit@debian.org>  Sat, 28 Dec 2019 10:04:44 +1100

phpunit (8.5.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 8.5
  * Prepare release

  [ David Prévot ]
  * Set upstream metadata fields: Repository-Browse.

 -- David Prévot <taffit@debian.org>  Fri, 06 Dec 2019 15:52:30 -1000

phpunit (8.4.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Exclude duplicate test file from autoload
  * Extend cleanup

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2019 18:56:46 -1000

phpunit (8.4.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Exclude duplicate test file from autoload

 -- David Prévot <taffit@debian.org>  Thu, 31 Oct 2019 00:29:04 -1000

phpunit (8.4.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 07 Oct 2019 17:33:33 -1000

phpunit (8.4.0-2) unstable; urgency=medium

  * Install phpunit.xsd in /usr/share/php/data/PHPUnit
  * Extend d/clean

 -- David Prévot <taffit@debian.org>  Sun, 06 Oct 2019 12:46:13 -1000

phpunit (8.4.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in stable
  * Drop reference to package not part of stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2019 17:04:51 -1000

phpunit (8.3.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 16 Sep 2019 18:40:06 -1000

phpunit (8.3.4-2) unstable; urgency=medium

  * Upload to unstable now that all dependencies are available
  * Drop phpunit-dbunit reference
  * Adapt to php-invoker new install path
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- David Prévot <taffit@debian.org>  Fri, 13 Sep 2019 15:12:26 -1000

phpunit (8.3.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Delete old ChangeLog files
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 10 Aug 2019 21:34:18 -1000

phpunit (8.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 05 Aug 2019 08:56:37 -0400

phpunit (8.3.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Set upstream metadata fields: Contact, Name.
  * Add self to Uploaders

 -- David Prévot <taffit@debian.org>  Fri, 02 Aug 2019 16:15:37 -0400

phpunit (8.2.5-1) experimental; urgency=medium

  * Team upload

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Tue, 16 Jul 2019 07:13:58 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog phpunit`.
